<id>
Category Image
</id>

<version>
1.1
</version>

<mod info>
This mod allows to add an image into each category.

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.
 
Admin/ManageCats.pl (ASCII)
Admin/ModList.pl (ASCII)
Languages/English/Admin.lng (ASCII)
Sources/BoardIndex.pl (ASCII)
Templates/default/BoardIndex.template (ASCII)
Templates/yabb21/BoardIndex.template (ASCII)
</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li)
</author>

<homepage>
http://yabb.xost.ru/ and http://www.grafix-world.nl
</homepage>

<edit file>
Admin/ManageCats.pl
</edit file>

<search for>
    <td class="windowbg2" align="center" width="40%" rowspan="2"><select multiple="multiple" name="catperms$i" size="5">$catperms<br /><span class="small">$admin_txt{'14'}</span></td>
    <td class="windowbg2" align="center" width="10%" rowspan="2"><input type="checkbox" $allowChecked name="allowcol$i" /></td>
</search for>

<replace>
    <td class="windowbg2" align="center" width="40%" rowspan="3"><select multiple="multiple" name="catperms$i" size="5">$catperms<br /><span class="small">$admin_txt{'14'}</span></td>
    <td class="windowbg2" align="center" width="10%" rowspan="3"><input type="checkbox" $allowChecked name="allowcol$i" /></td>
</replace>

<search for>
    <td class="windowbg2" width="40%"><br /><input type="text" name="name$i" value="$curcatname" size="40" /><br /><br /></td>
  </tr>
</search for>

<add after>
    <tr>
    <td class="windowbg" width="10%" align="right" valign="middle"><b>$admin_txt{'64b2'}:</b></td>
    <td class="windowbg2" width="40%"><br /><input type="text" name="catimage$i" value="$catimage" size="40" /><br /><br /></td>
    </tr>
</add after>

<search for>
				($curcatname, $catperms, $catallowcol) = split(/\|/, $catinfo{"$catid"});
</search for>

<replace>
				($curcatname, $catperms, $catallowcol, $catimage) = split(/\|/, $catinfo{"$catid"});
</replace>

<search for>
		$catinfo{"$id"} = qq~$cname|$FORM{"catperms$i"}|$FORM{"allowcol$i"}~;
</search for>

<replace>
		$catinfo{"$id"} = qq~$cname|$FORM{"catperms$i"}|$FORM{"allowcol$i"}|$FORM{"catimage$i"}~;
</replace>

<search for>
	for ($i = 1; $i <= $FORM{'amount'}; $i++) {
</search for>

<add after>
		if ($FORM{"catimage$i"} ne "" && $FORM{"catimage$i"} !~ m~^[0-9a-zA-Z_\.\#\%\-\:\+\?\$\&\~\.\,\@/]+\.(gif|png|bmp|jpg)$~)  { &admin_fatal_error("$admin_txt{'16'}"); }
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
      $CatImageMod = "Category Image|Boris Tjuvanov (<a href=\"http://www.mf-b.ru\" target=\"_blank\">MF-B</a>) and Jeffrey Man (<a href=\"http://www.grafix-world.nl\" target=\"_blank\">Jet Li</a>)|This mod allows to add an image into each category.|1.1|December 20th 2007";
      push (@installed_mods, "$CatImageMod");
</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
'64b' => 'Board Picture',
</search for>

<add after>
'64b2' => 'Category Picture',
</add after>

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
		if ($INFO{'catselect'} ne $catid && $INFO{'catselect'}) { next; }
		my ($catname, $catperms, $catallowcol) = split(/\|/, $catinfo{"$catid"});
		&ToChars($catname);
</search for>

<replace>
		if ($INFO{'catselect'} ne $catid && $INFO{'catselect'}) { next; }
		my ($catname, $catperms, $catallowcol, $catimage) = split(/\|/, $catinfo{"$catid"});
		&ToChars($catname);
</replace>

<search for>
		$templatecat =~ s/({|<)yabb catlink(}|>)/$catlink/g;
</search for>

<add before>
		$tmpcatimg = "";
		if ($catimage ne '') {
			if ($catimage =~ /\//i) { $catimage = qq~<img src="$catimage" alt="" border="0" style="vertical-align: middle;" />~; }
			elsif ($catimage) { $catimage = qq~<img src="$imagesdir/$catimage" alt="" border="0" style="vertical-align: middle;" />~; }
			$tmpcatimg = qq~$catimage~;
		}
		$templatecat =~ s/({|<)yabb catimage(}|>)/$tmpcatimg/g;
</add before>

<edit file>
Templates/default/BoardIndex.template
</edit file>

<search for>
	<td class="tabtitle" width="59%" height="25" valign="middle">
		{yabb catlink}
	</td>
</search for>

<replace>
	<td class="tabtitle" width="59%" height="25" valign="middle">
		{yabb catimage} {yabb catlink}
	</td>
</replace>

<edit file>
Templates/yabb21/BoardIndex.template
</edit file>

<search for>
<tr><td colspan="5" class="catbg" height="18" ><img src="$imagesdir/balloon2.gif" style="vertical-align: middle;" alt="" /> <yabb catlink></td></tr>
</search for>

<replace>
<tr><td colspan="5" class="catbg" height="18" ><yabb catimage> <yabb catlink></td></tr>
</replace>